# JournalEntries Object

> Source: https://truto.one/docs/api-reference/unified-accounting-api/journalentries/

Schema for the `JournalEntries` resource in **Unified Accounting API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for journal entries
- **`payments`** _(array<object>)_
  The payments of the journal entry
  - **`id`** _(string)_
    The unique identifier for payment
  - **`payment_for`** _(string)_
    What entity was the payment for. Can be invoice or bill.
    Allowed: `invoice`, `bill`
  - **`contact`** _(object)_
    The contact of the payment
    - **`id`** _(string)_
      The ID of the contact
    - **`type`** _(string)_
      The type of the contact. Can be customer or vendor.
      Allowed: `customer`, `vendor`
- **`memo`** _(string)_
  The private note of the journal entry
- **`type`** _(string)_
  The type of the journal entry
  Allowed: `ACCOUNTS_RECEIVABLE`, `ACCOUNTS_PAYABLE`, `GENERAL`, `STATISTICAL`
- **`currency`** _(string)_
  The currency of the journal entry
- **`exchange_rate`** _(number)_
  The exchange rate of the journal entry
- **`company`** _(string)_
  The company the journal entry belongs to
- **`lines`** _(array<object>)_
  - **`id`** _(string)_
    The unique identifier for line item
  - **`name`** _(string)_
    The name of the line item
  - **`description`** _(string)_
    The description of the line item
  - **`item`** _(string)_
    The ID of the item
  - **`account`** _(string)_
    The ID of the account
  - **`quantity`** _(number)_
    The quantity of the line item
  - **`unit_price`** _(number)_
    The unit price of the line item
  - **`tax_rate`** _(string)_
    The ID of the tax rate
  - **`total_line_amount`** _(number)_
    The total line amount of the line item.
  - **`type`** _(string)_
    The type of the line item
  - **`tracking_categories`** _(array<object>)_
    Tracking categories of the line item
    - **`id`** _(string)_
      The ID of the tracking category
    - **`name`** _(string)_
      The name of the tracking category
    - **`option`** _(string)_
      The option of the tracking category
  - **`currency`** _(string)_
    The currency of the line item
  - **`exchange_rate`** _(number)_
    The exchange rate of the currency for the line item
- **`created_at`** _(string)_
  This represents the date when the journal entry was created
- **`updated_at`** _(string)_
  This represents the date when the journal entry was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/accounting/journal_entries](/docs/api-reference/unified-accounting-api/journalentries/list) — List Journal entries
- [POST /unified/accounting/journal_entries](/docs/api-reference/unified-accounting-api/journalentries/create) — Create Journal entries
- [GET /unified/accounting/journal_entries/{id}](/docs/api-reference/unified-accounting-api/journalentries/get) — Get Journal entries
